%define name fwlogwatch
%define version 0.6
%define release 1mdk

Summary: Firewall log analyzer, report generator and realtime response agent
Name: %{name}
Version: %{version}
Release: %release
Group: Monitoring
URL: http://cert.uni-stuttgart.de/projects/fwlogwatch/
License: GPL
Source: %{name}-%{version}.tar.bz2
Patch0: %{name}-%version-paths.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
fwlogwatch produces ipchains, netfilter/iptables, ipfilter, Cisco IOS and
Cisco PIX log summary reports in text and HTML form and has a lot of
options to find and display relevant patterns in connection attempts. With
the data found it can also generate customizable incident reports from a
template and send them to abuse contacts at offending sites or CERT
coordination centers. Finally, it can also run as daemon and report
anomalies or start countermeasures.

%prep

%setup -n %{name}-%{version}
%patch0 -p1

%build

%serverbuild

make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initrddir}

export DESTDIR=$RPM_BUILD_ROOT

%make install install-config install-i18n DESTDIR=$RPM_BUILD_ROOT \
		MANDIR=%{_mandir}  INSTALL_DIR=%{_prefix}  CONF_DIR=%{_sysconfdir} \
		DATADIR=%{_datadir}
#make install INSTALL_DIR=%{buildroot}%{_prefix} \
#	CONF_DIR=%{buildroot}%{_sysconfdir}
#make install-config INSTALL_DIR=%{buildroot}%{_prefix} \
#	CONF_DIR=%{buildroot}%{_sysconfdir}
%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog README
%doc contrib/fwlogsummary.cgi contrib/fwlogsummary_small.cgi
%config(noreplace) %{_sysconfdir}/fwlogwatch.config
%config(noreplace) %{_sysconfdir}/fwlogwatch.template
%{_sbindir}/fwlogwatch
%{_sbindir}/fwlw_notify
%{_sbindir}/fwlw_respond
%{_initrddir}/fwlogwatch
%{_mandir}/man8/fwlogwatch.8*

%changelog
* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6
- regenerate patch

* Thu Jan 31 2002 Philippe Libat <philippe@mandrakesoft.com> 0.5.2-1mdk
- new version

* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- initial MDK contrib package
	- added patch 1
